%global momorel 5
%global xfce4ver 4.6.0

Summary:        A cpufreq plugin for the Xfce panel
Name:           xfce4-cpufreq-plugin
Version:        0.0.1
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/System
Source0:        http://goodies.xfce.org/releases/xfce4-cpufreq-plugin/%{name}-%{version}.tar.gz
NoSource:	0
URL:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool >= 0.35.0
BuildRequires:  libtool
BuildRequires:  xfce4-dev-tools >= %{xfce4ver}
BuildRequires:  xfce4-panel-devel >= %{xfce4ver}
Requires:       xfce4-panel >= %{xfce4ver}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This plugin displays the current frequency of the CPU, in GHz or MHz
as necessary. It also displays the frequency relative to the maximum
CPU frequency as an accordingly colored progress bar.

%prep
%setup -q -n xfce4-cpu-freq-plugin-%{version}
# magirawasii!!

%build
intltoolize --force --copy ; aclocal ; autoconf  ; autoheader ; automake
autoreconf -if
%configure --libexecdir=%{_libdir}
%{__make}

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-cpu-freq-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-cpu-freq-plugin.desktop
%{_iconsdir}/hicolor/*/apps/cpu.*

%changelog
* Mon May 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.1-4m)
- add autoreconf. need libtool-2.2.x

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.1-4m)
- rebuild against xfce4-4.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.1-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.1-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.1-1m)
- initial Momonga package based on PLD
